curl
curl -X GET 'https://verification.didit.me/v3/travel-rule/vasps/?search=Bene' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/travel-rule/vasps/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/travel-rule/vasps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"name": "<string>",
"lei": "<string>",
"jurisdiction": "<string>",
"dd_score": 123,
"reachable_rails": [],
"is_didit_customer": true,
"dd_score_breakdown": {},
"dd_assessed_at": "2023-11-07T05:31:56Z"
}
]
}Travel Rule
Search the VASP Directory
Paginated search across discoverable Didit customers with Travel Rule enabled, plus VASPs catalogued in the internal counterparty registry. Excludes your own application’s profile.
GET
/
v3
/
travel-rule
/
vasps
/
curl
curl -X GET 'https://verification.didit.me/v3/travel-rule/vasps/?search=Bene' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/travel-rule/vasps/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/travel-rule/vasps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"name": "<string>",
"lei": "<string>",
"jurisdiction": "<string>",
"dd_score": 123,
"reachable_rails": [],
"is_didit_customer": true,
"dd_score_breakdown": {},
"dd_assessed_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Query Parameters
Case-insensitive substring match on VASP name.
Required range:
x >= 1Required range:
x >= 0⌘I